Bug 37071 - Installer hangs probing mouse on Latitude C800
Installer hangs probing mouse on Latitude C800
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-22 12:19 EDT by Alfredo Ferrari
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-20 13:19:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alfredo Ferrari 2001-04-22 12:19:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.16-3smp i686)


The RH7.1 installer hangs when probing the mouse during installation on a
Dell Latitude C800 laptop. I tried several times with and without external
mice (the internal one(s) are a PS/2 touchpad + a stick).
RH7.0 installed with no problem on the same machine.
The system hangs hard, no chance to Ctrl+Alt+F... or whatever to see what
is going on, no sign of disk activity, only the power switch works.

I was to install successfully going to "text expert" mode where of course
the installer does not probe for the mouse. After installing the system as
no problem with the mouse (other problems are reported in other bug
reports)

Reproducible: Always
Steps to Reproduce:
1.Insert the RH7.1 CD Rom
2.Try to install in normal (graphic) mode
3.The installer hangs when probing for the mouse (at least this is the last
message that can be seen on the screen)
	

Actual Results:  System hang

Expected Results:  Installation should continue
Comment 1 Brent Fox 2001-04-22 23:38:12 EDT
Can you try text mode-non expert and see if it still hangs?  Also, once your
system is installed, what happens if you run mouseconfig?  Does it find the
mouse then?
Comment 2 Alfredo Ferrari 2001-04-23 12:02:27 EDT
Hi,

I'll run mouseconfig and let you know. Do I understand correctly that you asked
for trying NON-expert but still text mode? I can try it, provide you tell me,
assuming it does not hang the machine, at which point and how can I safely
stop the installation to avoid to spoil the successful one I eventually made
with "text expert" which I have already heavily configured etc.
Comment 3 Brent Fox 2001-04-23 12:11:51 EDT
Nothing actually happens to your system until the packages actually begin
installing.  So, what I'm interested in is this: does the machine hang in the
same place in text mode that it does in the graphical mode?  I'm inclined to
think that something is wrong with kudzu, since that is the program that probes
for the mouse.  However, I'm not sure about that since the mouse works after
installation.

Bill, does this sound like a kudzu problem to you?
Comment 4 Bill Nottingham 2001-04-23 12:14:12 EDT
Maybe, although it's more likely a 'buggy hardware' issue. Can't really tell
without post-install information.
Comment 5 Brent Fox 2001-04-23 12:18:05 EDT
Brock, do we have a Latitude C800 in house?
Comment 6 Alfredo Ferrari 2001-04-23 12:33:42 EDT
I'll make the tests in two hours from now (evening in Europe) and let you know.
Please let me know whether you need any extra info/log file. 
Comment 7 Alfredo Ferrari 2001-04-23 17:17:17 EDT
Hi, I made the tests:

mouseconfig: it reports Generic mouse (PS/2) which I believe is correct

Installer:

boot option                 result
none                        hangs at "probing mouse type"
expert                      hangs at "probing mouse type"
text                        apparently ok (I arrived at the screen where it
                            asks for installation/laptop/upgrade etc)
expert text                 ok (I installed 7.1 that way)

Let me know if I can be of further help
Comment 8 Brent Fox 2001-05-09 15:31:18 EDT
I think the problem may lie with the X server and not the mouse.  What happens
if you boot with 'nofb'?  Does that work?  Also, on your 7.0 system, what does
Xconfigurator probe your video card to be?

Can you give us more information about the hardware in the machine (video card,
amount of video RAM, etc.)?
Comment 9 Brent Fox 2001-05-20 13:19:12 EDT
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.